<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

error_reporting(E_ALL);
error_reporting(-1);
ini_set('error_reporting', E_ALL);

require '../../modelo/usuario.php';
require '../../modelo/environment.php';

$response = array();

if (
    !isset($_POST['correo']) ||
    !isset($_POST['uid'])
) {
    $response['response'] = 'error';
    $response['data'] = 'Datos incompletos';
    echo json_encode($response);
    return;
}

$correo = $_POST['correo'];
$uid = $_POST['uid'];

$validar_usuario_existente = Usuario::mdlVerifyUsuarioGoogle($correo, $uid);

if (!$validar_usuario_existente) {
    $response['response'] = 'error';
    $response['data'] = 'El usuario no existe';
    echo json_encode($response);
    return;
}

unset($validar_usuario_existente['password']);

$id_usuario = Environment::encodeUser($validar_usuario_existente['id_usuario']);

$validar_usuario_existente['id_usuario'] = $id_usuario;

$response['response'] = 'success';
$response['data'] = $validar_usuario_existente;
echo json_encode($response);